ListAbuseReportStatuses
Lists abuse report statuses for the calling account, ordered by submission time, with optional filtering and pagination.
Use the correlationId parameter to filter results by the reporter-provided correlation ID that was specified during report submission.
Results are paginated. Use nextToken to retrieve additional results.
Request Syntax
GET /v1/abusestatuses?correlationId=correlationId&maxResults=maxResults&nextToken=nextToken HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- correlationId
-
Filters results by the reporter-provided correlation ID.
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
[a-zA-Z0-9-_]{1,256} - maxResults
-
The maximum number of results to return in a single page. Valid range: 1–50. The default is 50.
Valid Range: Minimum value of 1. Maximum value of 50.
- nextToken
-
The pagination token for retrieving the next page of results. Omit this parameter to return the first page of results.
Length Constraints: Minimum length of 1. Maximum length of 1024.
Pattern:
[\x00-\x7F]+
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"nextToken": "string",
"reports": [
{
"correlationId": "string",
"description": "string",
"reasonCode": "string",
"reportId": "string",
"status": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- nextToken
-
The pagination token for the next page of results. This value is
nullwhen there are no more results.Type: String
Length Constraints: Minimum length of 1. Maximum length of 1024.
Pattern:
[\x00-\x7F]+ - reports
-
A list of abuse report status items. This list is empty when no reports are found for the calling account, or when no reports match the specified
correlationIdfilter.Type: Array of ReportStatusListItem objects
Array Members: Minimum number of 0 items. Maximum number of 50 items.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The caller does not have sufficient access to perform this operation. Verify that the caller has the specific IAM permission for the operation it is calling (for example,
abuse:CreateAbuseReport,abuse:GetAbuseReportStatus, orabuse:ListAbuseReportStatuses). Grant only the actions each caller requires.- message
-
A description of the access-denied error.
HTTP Status Code: 403
- InternalServerException
-
An unexpected error occurred during the processing of the request. This error is retryable; check the
Retry-Afterheader before you retry.- message
-
A description of the error.
- retryAfterSeconds
-
The number of seconds to wait before you retry the request. The service also returns this value in the
Retry-AfterHTTP header.
HTTP Status Code: 500
- ThrottlingException
-
The request was denied due to request throttling. This error is retryable; retry with exponential backoff.
- message
-
A description of the throttling error.
- quotaCode
-
The code for the service quota that was exceeded.
- retryAfterSeconds
-
The number of seconds to wait before you retry the request. The service also returns this value in the
Retry-AfterHTTP header. - serviceCode
-
The code for the AWS service that is associated with the quota that was exceeded.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service, which indicates that the request is not well-formed. Check
fieldListfor the specific members that failed validation.- fieldList
-
A list of the specific input fields that failed validation.
- message
-
A summary of the validation failure.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: